<div id="body" class="container-fluid">
  <div class="row">
    <div class="col-md-6">
      <h6 class="mb-1">SIPT</h6>
    </div>
    <div class="col-md-6 offset-md-12">
      <div class="text-right">
        <a target="_blank" rel="noopener noreferrer" href="http://webcontoo.corp.sprint.com/webcontoo/llisapi.dll/9280920/9280919_COWS_Event_Form__-_Job_Aid_for_Global_Cisco_HCS_%28UCaaS%29.pdf?func=doc.Fetch&nodeid=9280920&vernum=0">SIPT Event Job Aid for IPMs/Members</a>
      </div>
    </div>
  </div>
  <h6 class="text-danger" *ngIf="eventNote != ''">{{ eventNote }}</h6>
  <form [formGroup]="form" novalidate>
    <div class="form-row text-center mb-2">
      <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
        <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
          Cancel
        </button>
      </div>
      <div class="form-group form-group-sm col-12 col-md-6 col-lg-4"
           *ngIf="!isLocked && (isMember || isReviewer || isActivator)">
        <div *ngIf="showEditButton && !isCompleted; then editTemplate; else saveTemplate;"></div>
        <ng-template #editTemplate>
          <button type="button"
                  class="btn btn-sm btn-primary btn-block" (click)="edit()">
            Edit Event
          </button>
        </ng-template>
        <ng-template #saveTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="save()">
            Save
          </button>
        </ng-template>
      </div>
    </div>
    <fieldset [disabled]="showEditButton">
      <div class="form-row">
        <div class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Event ID:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <div class="input-group">
              <input type="text" class="form-control form-control-sm mr-1" formControlName="eventID" />
              <a *ngIf="id > 0" class="hyperlink" (click)="onHistoryLookup()">Lookup Event History</a>
            </div>
          </div>
        </div>
        <div class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Event Status:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <dx-select-box [items]="eventStatusList" formControlName="eventStatus"
                           displayExpr="description" valueExpr="value">
            </dx-select-box>
          </div>
        </div>
      </div>
      <div class="form-row">
        <div class="form-group form-group-sm row col-24">
          <label class="col-form-label col-24 col-lg-3">Item Title:</label>
          <div class="col-24 col-lg-20 pl-0 pl-lg-1">
            <input type="text" class="form-control form-control-sm" formControlName="itemTitle" />
          </div>
        </div>
      </div>

      <mat-accordion>
        <mat-expansion-panel [expanded]="true" class="mb-1">
          <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>Customer</h6></mat-panel-title>
          </mat-expansion-panel-header>
          <div formGroupName="customer">
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6 text-danger">H1:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm"
                         formControlName="h1" maxlength="9" minlength="9" />
                  <div *ngIf="h1.invalid && (h1.dirty || h1.touched || isSubmitted)">
                    <span *ngIf="h1.errors.required" class="form-text text-danger">
                      H1 is required
                    </span>
                    <span *ngIf="h1.errors.invalidH1" class="form-text text-danger">
                      H1 field is not in correct format. H1 should contain 9 digits only.
                    </span>
                  </div>

                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6 text-danger">H6:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <div class="input-group">
                    <input type="text" class="form-control form-control-sm"
                           formControlName="h6" maxlength="9" minlength="9" />
                    <button class="btn btn-sm btn-primary" type="button"
                            (click)="H6lookup()">
                      Lookup
                    </button>
                  </div>
                  <div *ngIf="h6.invalid && (h6.dirty || h6.touched || isSubmitted)">
                    <span *ngIf="h6.errors.required" class="form-text text-danger">
                      H6 is required
                    </span>
                    <span *ngIf="h6.errors.invalidH1" class="form-text text-danger">
                      H6 field is not in correct format. H6 should contain 9 digits only.
                    </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6 text-danger">Site ID:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm"
                         formControlName="siteID" maxlength="50" minlength="3" />
                  <div *ngIf="siteID.invalid && (siteID.dirty || siteID.touched || isSubmitted)">
                    <span *ngIf="siteID.errors.required" class="form-text text-danger">
                      SiteID is required
                    </span>
                    <span *ngIf="siteID.errors.minlength" class="form-text text-danger">
                      SiteID must be at least 3 characters long
                    </span>
                  </div>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">CharsID:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="charsID" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24">
                <label class="col-form-label col-24 col-lg-3">Name:</label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="custName" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Team PDL:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="teamPDL" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6 text-danger">Product Type:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <dx-select-box [items]="siptProdTypeList" formControlName="productType"
                                 displayExpr="description" valueExpr="value"
                                 [searchEnabled]="true" [searchExpr]="['description']"
                                 searchMode="startswith">
                  </dx-select-box>
                  <div *ngIf="productType.invalid && (productType.dirty || productType.touched || isSubmitted)">
                    <span *ngIf="productType.errors.required" class="form-text text-danger">
                      SIPT Product Type is required
                    </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-row" *ngIf="productType?.value == 9">
              <div class="form-group form-group-sm row col-24 col-lg-12"></div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6 text-danger">Toll Type:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <dx-tag-box [dataSource]="siptTollTypeList" formControlName="tollType"
                              displayExpr="description" valueExpr="value"
                              [showSelectionControls]="true">
                  </dx-tag-box>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Requestor Contact Name:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <div class="input-group">
                    <input type="text" class="form-control form-control-sm"
                           formControlName="reqstrCntctName" />
                    <app-user-finder *ngIf="option.customer.userFinder?.isEnabled" id="customer"
                                     [group]="form.controls.customer"
                                     [option]="option.customer.userFinder">
                    </app-user-finder>
                  </div>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Requestor Contact Phone:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm"
                         formControlName="reqstrCntctPhne" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24">
                <label class="col-form-label col-24 col-lg-3">SIPT Document Location:</label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="siptDocLoc" />
                </div>
              </div>
            </div>

            <mat-accordion>
              <mat-expansion-panel [expanded]="true" class="mb-1">
                <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                  <mat-panel-title><h6>Mach5 Related Order</h6></mat-panel-title>
                </mat-expansion-panel-header>
                <div *ngIf="mach5RelatedOrderError.length > 0">
                  <ng-container *ngFor="let errors of mach5RelatedOrderError">
                    <span class="text-danger">{{ errors }}</span><br />
                  </ng-container>
                </div>
                <dx-data-grid id="gridContainer" keyExpr="siptReltdOrdrId"
                              [dataSource]="siptRltdOrdr" [disabled]="showEditButton"
                              [showBorders]="true" [wordWrapEnabled]="true"
                              [rowAlternationEnabled]="true" [columnAutoWidth]="true"
                              (onRowInserting)="onRelatedOrderRowInserting($event)">
                  <dxo-sorting mode="multiple"></dxo-sorting>
                  <dxo-paging [pageSize]="10"></dxo-paging>
                  <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
                  <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
                  <dxo-editing mode="row" [useIcons]="true" [allowUpdating]="true"
                               [allowDeleting]="true" [allowAdding]="true"></dxo-editing>
                  <dxi-column dataField="m5OrdrNbr" caption="M5 Order No" headerCellTemplate="headerTemplate"></dxi-column>
                  <div *dxTemplate="let header of 'headerTemplate'">
                    <span class="text-danger">{{header.column.caption}}</span>
                  </div>
                </dx-data-grid>
              </mat-expansion-panel>
            </mat-accordion>

            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Address:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="address" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">State/Province:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="stateProvince" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Bldg/Floor/Room:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="bldgFloorRoom" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Country:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="country" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">City:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="city" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">ZIP Code:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="zip" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6 text-danger">Site Contact Name:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="siteContactName" />
                  <div *ngIf="siteContactName.invalid && (siteContactName.dirty || siteContactName.touched || isSubmitted)">
                    <span *ngIf="siteContactName.errors.required" class="form-text text-danger">
                      Site Contact Name is required
                    </span>
                  </div>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6 text-danger">Site Contact Phone:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="siteContactPhone" />
                  <div *ngIf="siteContactPhone.invalid && (siteContactPhone.dirty || siteContactPhone.touched || isSubmitted)">
                    <span *ngIf="siteContactPhone.errors.required" class="form-text text-danger">
                      Site Contact Phone is required
                    </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Site Contact Email:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="siteContactEmail" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Site Contact Hours:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="siteContactHours" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Customer Request Start Date:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <dx-date-box type="datetime" width="100%"
                               [acceptCustomValue]="false"
                               displayFormat="MM/dd/yyyy hh:mm aa"
                               [useMaskBehavior]="true"
                               formControlName="startDate"
                               (onValueChanged)="setEndDate()">
                  </dx-date-box>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Customer Request End Date:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <dx-date-box type="datetime" width="100%"
                               [acceptCustomValue]="false"
                               displayFormat="MM/dd/yyyy hh:mm aa"
                               [useMaskBehavior]="true"
                               formControlName="endDate">
                  </dx-date-box>
                </div>
              </div>
            </div>
          </div>
        </mat-expansion-panel>
      </mat-accordion>

      <mat-accordion>
        <mat-expansion-panel [expanded]="true" class="mb-1">
          <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>Event</h6></mat-panel-title>
          </mat-expansion-panel-header>
          <div formGroupName="event">
            <div class="form-row">
              <div class="form-group form-group-sm row col-24">
                <label class="col-form-label col-24 col-lg-3 text-danger">SIPT Activity:</label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-1">
                  <dx-tag-box [dataSource]="siptActivityTypeList"
                              displayExpr="description"
                              valueExpr="value"
                              formControlName="siptActvty"
                              [showSelectionControls]="true">
                  </dx-tag-box>
                </div>
              </div>
            </div>
            <div class="form-row" *ngIf="siptActvty.value?.includes(5) ||siptActvty.value?.includes(4)">
              <div class="form-group form-group-sm row col-24 col-lg-18">
                <label class="col-form-label col-24 col-lg-11 text-danger">Have the TNs been mapped to the appropriate TG?</label>
                <div class="col-24 col-lg-11 pl-0 pl-lg-1">
                  <dx-check-box formControlName="mappedTg" [disabled]="showEditButton"></dx-check-box>
                </div>
              </div>
            </div>
            <div class="form-row" *ngIf="siptActvty.value?.includes(4)">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">PON/Project ID:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm"
                         formControlName="pon" maxlength="12" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">FOC Date:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <dx-date-box type="date"
                               [acceptCustomValue]="false"
                               displayFormat="MM/dd/yyyy"
                               [useMaskBehavior]="true"
                               formControlName="foc">
                  </dx-date-box>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24">
                <label class="col-form-label col-24 col-lg-3 text-danger">SIPT Design Document:</label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="siptDesignDoc" />
                  <div *ngIf="siptDesignDoc.invalid && (siptDesignDoc.dirty || siptDesignDoc.touched || isSubmitted)">
                    <span *ngIf="siptDesignDoc.errors.required" class="form-text text-danger">
                      SIPT Design Document is required
                    </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24">
                <label class="col-form-label col-24 col-lg-3 text-danger">Description and Comments:</label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-1">
                  <textarea class="form-control form-control-sm" formControlName="comments" rows="5"></textarea>
                  <div *ngIf="comments.invalid && (comments.dirty || comments.touched || isSubmitted)">
                    <span *ngIf="comments.errors.required" class="form-text text-danger">
                      Comments is required
                    </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24">
                <label class="col-form-label col-24 col-lg-3"> &nbsp;</label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-1">
                  <span>File size limit of 10MB for the following file types: .xls/.xlsx/.csv </span>
                </div>
              </div>

              <div class="form-group form-group-sm row col-24">
                <label class="col-form-label col-24 col-lg-3">Documents:</label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-1">
                  <div class="custom-file">
                    <app-input-file-template (result)="onFileLoad($event)"></app-input-file-template>
                    <label class="custom-file-label">{{ filename  || "Choose File" }}</label>
                  </div>
                </div>
              </div>
            </div>
            <div class="mb-1">
              <dx-data-grid #gridSiptDocs id="gridSiptDocs" [dataSource]="siptEventDocList"
                            keyExpr="siptEventDocId" [showBorders]="true" [wordWrapEnabled]="true"
                            [rowAlternationEnabled]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-editing mode="cell" [allowDeleting]="true" [useIcons]="true"></dxo-editing>
                <dxo-paging [pageSize]="10"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
                <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
                <dxi-column type="buttons" [buttons]="['delete']" caption="Delete"></dxi-column>
                <dxi-column type="buttons" caption="View">
                  <dxi-button hint="View" icon="download" [onClick]="download"></dxi-button>
                </dxi-column>
                <dxi-column dataField="fileNme" caption="Name" dataType="string"></dxi-column>
                <dxi-column dataField="creatDt" caption="DateTime" dataType="string"
                            cellTemplate="localStartTime"></dxi-column>
                <dxi-column dataField="fileSizeQty" caption="Size" dataType="string"
                            cellTemplate="fileSizeTemplate"></dxi-column>
                <div *dxTemplate="let cell of 'localStartTime'">
                  <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
                </div>
                <div *dxTemplate="let cell of 'fileSizeTemplate'">
                  {{ formatFileSize(cell.text) }}
                </div>
              </dx-data-grid>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Project Manager Name:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <div class="input-group">
                    <input type="text" class="form-control form-control-sm" formControlName="name" />
                    <app-user-finder *ngIf="option.event.userFinder?.isEnabled" id="event"
                                     [group]="form.controls.event" [option]="option.event.userFinder">
                    </app-user-finder>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Project Manager Phone:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="phone" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-6">Project Manager Email:</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                  <input type="text" class="form-control form-control-sm" formControlName="email" />
                </div>
              </div>
            </div>
          </div>
        </mat-expansion-panel>
      </mat-accordion>

      <div class="form-row">
        <div class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Workflow Status:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <dx-select-box [items]="workflowStatusList" formControlName="workflowStatus"
                           displayExpr="wrkflwStusDes" valueExpr="wrkflwStusId"
                           [searchEnabled]="true" [searchExpr]="['wrkflwStusDes']"
                           searchMode="startswith">
            </dx-select-box>
          </div>
        </div>
      </div>
    </fieldset>
    <app-event-history-template *ngIf="id > 0" [id]="id" [accordion]="true" [expanded]="profile != 'Member'"></app-event-history-template>
    <div class="form-row text-center mt-2">
      <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
        <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
          Cancel
        </button>
      </div>
      <div class="form-group form-group-sm col-12 col-md-6 col-lg-4"
           *ngIf="!isLocked && (isMember || isReviewer || isActivator)">
        <div *ngIf="showEditButton && !isCompleted; then editTemplate; else saveTemplate;"></div>
        <ng-template #editTemplate>
          <button type="button"
                  class="btn btn-sm btn-primary btn-block" (click)="edit()">
            Edit Event
          </button>
        </ng-template>
        <ng-template #saveTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="save()">
            Save
          </button>
        </ng-template>
      </div>
    </div>
  </form>
</div>

<app-validation-summary [errors]="errors" [option]="option.validationSummaryOptions"></app-validation-summary>
